FROM golang:1.18-alpine3.16 AS builder
WORKDIR /src
COPY go.mod go.sum ./
RUN go mod download && go mod verify
COPY . .
RUN CGO_ENABLED=0 GOOS=linux go build -o ./bin/app ./

FROM alpine:3.16
WORKDIR /app
COPY --from=builder /src/bin/app .
COPY --from=builder /src/configuration.yml ./
CMD ["./app"]
